Loading...
Searching...
No Matches
CSOUND_PARAMS Struct Reference

csound configuration structure, mirrors part of OPARMS, uses more meaningful names More...

`#include <csound.h>`

## Data Fields

int | debug_mode
int | buffer_frames
int | hardware_buffer_frames
int | displays
int | ascii_graphs
int | postscript_graphs
int | message_level
int | tempo
int | ring_bell
int | use_cscore
int | terminate_on_midi
int | heartbeat
int | defer_gen01_load
int | midi_key
int | midi_key_cps
int | midi_key_oct
int | midi_key_pch
int | midi_velocity
int | midi_velocity_amp
int | no_default_paths
int | number_of_threads
int | syntax_check_only
int | csd_line_counts
int | compute_weights
int | realtime_mode
int | sample_accurate
MYFLT | sample_rate_override
MYFLT | control_rate_override
int | nchnls_override
int | nchnls_i_override
MYFLT | e0dbfs_override
int | daemon
int | ksmps_override
int | FFT_library

## Detailed Description

csound configuration structure, mirrors part of OPARMS, uses more meaningful names

## Field Documentation

## ascii_graphs

int CSOUND_PARAMS::ascii_graphs

## buffer_frames

int CSOUND_PARAMS::buffer_frames

## compute_weights

int CSOUND_PARAMS::compute_weights

## control_rate_override

MYFLT CSOUND_PARAMS::control_rate_override

## csd_line_counts

int CSOUND_PARAMS::csd_line_counts

## daemon

int CSOUND_PARAMS::daemon

## debug_mode

int CSOUND_PARAMS::debug_mode

## defer_gen01_load

int CSOUND_PARAMS::defer_gen01_load

## displays

int CSOUND_PARAMS::displays

## e0dbfs_override

MYFLT CSOUND_PARAMS::e0dbfs_override

## FFT_library

int CSOUND_PARAMS::FFT_library

## hardware_buffer_frames

int CSOUND_PARAMS::hardware_buffer_frames

## heartbeat

int CSOUND_PARAMS::heartbeat

## ksmps_override

int CSOUND_PARAMS::ksmps_override

## message_level

int CSOUND_PARAMS::message_level

## midi_key

int CSOUND_PARAMS::midi_key

## midi_key_cps

int CSOUND_PARAMS::midi_key_cps

## midi_key_oct

int CSOUND_PARAMS::midi_key_oct

## midi_key_pch

int CSOUND_PARAMS::midi_key_pch

## midi_velocity

int CSOUND_PARAMS::midi_velocity

## midi_velocity_amp

int CSOUND_PARAMS::midi_velocity_amp

## nchnls_i_override

int CSOUND_PARAMS::nchnls_i_override

## nchnls_override

int CSOUND_PARAMS::nchnls_override

## no_default_paths

int CSOUND_PARAMS::no_default_paths

## number_of_threads

int CSOUND_PARAMS::number_of_threads

## postscript_graphs

int CSOUND_PARAMS::postscript_graphs

## realtime_mode

int CSOUND_PARAMS::realtime_mode

## ring_bell

int CSOUND_PARAMS::ring_bell

## sample_accurate

int CSOUND_PARAMS::sample_accurate

## sample_rate_override

MYFLT CSOUND_PARAMS::sample_rate_override

## syntax_check_only

int CSOUND_PARAMS::syntax_check_only

## tempo

int CSOUND_PARAMS::tempo

## terminate_on_midi

int CSOUND_PARAMS::terminate_on_midi

## use_cscore

int CSOUND_PARAMS::use_cscore